<?php if (!defined('PmWiki')) exit();

global $PageLogoUrl, $WikiTitle, $ImgExtPattern, $HTMLStylesFmt, 
  $LinkFunctions, $UrlLinkFmt, $UrlLinkTxtFmt, $UrlLinkImgFmt, $IMapLinkFmt,
  $MailLinkTxtFmt, $EnableUploadOverwrite;

if (preg_match("/$ImgExtPattern$/", $PageLogoUrl)) {
    $PageLogoUrl = "<img src='$PageLogoUrl' alt='$WikiTitle' border='0' />";
    $HTMLStylesFmt[] = 
      '#wikilogo a:link, #wikilogo a:visited, #wikilogo a:hover { border: 0; }';
}

$LinkFunctions['http:'] = 'TxtLinkIMap';
$LinkFunctions['https:']  = 'TxtLinkIMap';
$LinkFunctions['mailto:']  = 'MailLinkIMap';
$LinkFunctions['Attach:'] = 'TxtLinkUpload';
SDV($EnableUploadOverwrite,1);
$IMapLinkFmt['Attach:'] = 
    "<a class='urllink' href='\$LinkUrl' rel='nofollow'>\$UploadText</a>"; 
if ($EnableUploadOverwrite) 
    $IMapLinkFmt['Attach:'] .= 
    "<a class='createlink' href='\$LinkUpload'>&nbsp;&Delta;</a>";
$UrlLinkTxtFmt = "<span class='url'>$UrlLinkFmt</span>";
$MailLinkTxtFmt = "<span class='mailto'>$UrlLinkFmt</span>";
$UrlLinkFmt    = $UrlLinkTxtFmt;
$UrlLinkImgFmt = 
    "<a class='urllinkimg' href='\$LinkUrl' rel='nofollow'>\$LinkText</a>";

function TxtLinkIMap($pagename,$imap,$path,$title,$txt,$fmt=NULL) {
  global $UrlLinkImgFmt, $UrlLinkTxtFmt;
  if (!$fmt) 
      $fmt = preg_match('/^<img/',$txt) ? $UrlLinkImgFmt : $UrlLinkTxtFmt;
  return LinkIMap($pagename,$imap,$path,$title,$txt,$fmt);
}

function TxtLinkUpload($pagename, $imap, $path, $title, $txt, $fmt=NULL) {
  global $FmtV;
  $FmtV['$UploadText'] = str_replace('Attach:','',$txt);
  return LinkUpload($pagename,$imap,$path,$title,$txt,$fmt);
}

function MailLinkIMap($pagename,$imap,$path,$title,$txt,$fmt=NULL) {
  global $UrlLinkImgFmt, $MailLinkTxtFmt;
  if (!$fmt) 
      $fmt = preg_match('/^<img/',$txt) ? $UrlLinkImgFmt : $MailLinkTxtFmt;
  return LinkIMap($pagename,$imap,$path,$title,$txt,$fmt);
}

?>